package thyyxxk.webserver.entity.inpatient.patient;

import lombok.Data;
import thyyxxk.webserver.utils.StringUtil;

import java.util.Date;

@Data
public class NotUploadedFee {
    private String patNo;
    private Integer times;
    private Integer ledgerSn;
    private Integer detailSn;
    private String chargeCodeMx;
    private String chargeAmount;
    private String chargeFee;
    private Date chargeDate;
    private String ybCode;
    private String chargeName;
    private Integer oriDetailSn;
    private String ybSelfFlag;

    public String getYbSelfFlag() {
        if (StringUtil.isBlank(ybSelfFlag)) {
            return "是";
        }
        return "0".equals(ybSelfFlag.trim()) ? "是" : "否";
    }
}
